# Package org.eclipse.microprofile.fault.tolerance.tck.util

Interface Summary
Connection
Exceptions.ExceptionThrowingAction

Class Summary
AsyncCaller
AsyncCallerExecutor
AsyncTaskManager: Utility for running concurrent tasks which need to wait
AsyncTaskManager.BarrierTask<T>: A task which runs using a barrier
Barrier
ConcurrentExecutionTracker: Utility bean to track the number of concurrent executions of a method
DurationMatcher
Exceptions: Utility class, no public constructor
Packages: Contains constants for utilities packages which need to be included by lots of tests.
TCKConfig

Exception Summary
TestException: An identifiable exception thrown by tests which test handling of exceptions thrown by user code.